Module javafx.graphics
Package javafx.application

# Class Preloader.StateChangeNotification

java.lang.Object
javafx.application.Preloader.StateChangeNotification

All Implemented Interfaces:
  `Preloader.PreloaderNotification`

Enclosing class:
  `Preloader`

public static class Preloader.StateChangeNotification extends Object implements Preloader.PreloaderNotification
A notification that signals a change in the application state. A state change notification is sent to a preloader immediately prior to loading the application class (and constructing an instance), calling the application init method, or calling the application start method.

Since:
  JavaFX 2.0

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`Preloader.StateChangeNotification.Type`
Enum that defines the type of change associated with this notification

## Constructor Summary

Constructors
Constructor
Description
`StateChangeNotification(Preloader.StateChangeNotification.Type notificationType)`
Constructs a StateChangeNotification of the specified type.
`StateChangeNotification(Preloader.StateChangeNotification.Type notificationType, Application application)`
Constructs an StateChangeNotification of the specified type for the specified application.

## Method Summary

Modifier and Type
Method
Description
`Application`
`getApplication()`
Returns the Application instance associated with this notification.
`Preloader.StateChangeNotification.Type`
`getType()`
Returns the type of notification.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StateChangeNotification

public StateChangeNotification(Preloader.StateChangeNotification.Type notificationType)
Constructs a StateChangeNotification of the specified type.

Parameters:
  `notificationType` - the type of this notification.

### StateChangeNotification

public StateChangeNotification(Preloader.StateChangeNotification.Type notificationType, Application application)
Constructs an StateChangeNotification of the specified type for the specified application.

Parameters:
  `notificationType` - the type of this notification.
  `application` - the application instance associated with this notification.

## Method Details

### getType

public Preloader.StateChangeNotification.Type getType()
Returns the type of notification.

Returns:
  one of: BEFORE_LOAD, BEFORE_INIT, BEFORE_START

### getApplication

public Application getApplication()
Returns the Application instance associated with this notification. This is null for a BEFORE_LOAD notification and non-null for other notification types.

Returns:
  the Application instance or null.